> For the complete documentation index, see [llms.txt](https://docs.yarnspinner.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.yarnspinner.dev/2.0/api/csharp/yarn.unity/yarn.unity.dialogueviewbase/yarn.unity.dialogueviewbase.readyfornextline.md).

# ReadyForNextLine()

Method in [DialogueViewBase](/2.0/api/csharp/yarn.unity/yarn.unity.dialogueviewbase.md)

## Summary

Signals that the user wants to go to the next line.

```csharp
public void ReadyForNextLine()
```

## Remarks

This method is generally called by a "continue" button, and causes the DialogueUI to signal the [DialogueRunner](/2.0/api/csharp/yarn.unity/yarn.unity.dialoguerunner.md) to proceed to the next piece of content.

If this method is called before the line has finished appearing (that is, before the line's status changes to [FinishedPresenting](https://github.com/YarnSpinnerTool/YSDocs/blob/versions/2.0/api/csharp/yarn.unity.linestatus.finishedpresenting.md) ), the line's status will change to [Interrupted](https://github.com/YarnSpinnerTool/YSDocs/blob/versions/2.0/api/csharp/yarn.unity.linestatus.interrupted.md) , and [OnLineStatusChanged(LocalizedLine)](/2.0/api/csharp/yarn.unity/yarn.unity.dialogueviewbase/yarn.unity.dialogueviewbase.onlinestatuschanged.md) will be called to notify the view.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/2.0/api/csharp/yarn.unity/yarn.unity.dialogueviewbase/yarn.unity.dialogueviewbase.readyfornextline.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
